Bug 447743 - req'd disk space should be in stage1
req'd disk space should be in stage1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 11:03 EDT by Han-Wen Nienhuys
Modified: 2009-07-14 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 511878 (view as bug list)
Environment:
Last Closed: 2009-07-14 12:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2008-05-21 11:03:00 EDT
I used preupgrade on one of my machines, and when it was time to do the upgrade,
I lacked 1.6G of free space, requiring reboot, deinstalling packages, reboot,
still not enough disk space, reboot, etc. 

It's much easier to fix this when you're not booted in the installer, so could
the stage-1 run a check how much space is needed to execute the upgrade?
Comment 1 Han-Wen Nienhuys 2008-05-21 11:03:28 EDT
preupgrade 0.9.3
Comment 2 TR Bentley 2008-11-28 14:41:24 EST
preupgrade-1.0.0-1.fc10  - happened when upgrading from F9 to F10.

Said was OK and then stopped in the installer forcing me to uninstaller packages.
Comment 3 Bug Zapper 2009-06-09 21:04:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andrew John Hughes 2009-06-11 22:43:12 EDT
This still occurs with a preupgrade of F10 to F11.  preupgrade provided appropriate messages concerning disk space, so I freed a sufficient amount as requested prior to reboot (actually over 50mb over the requirement) and the installer failed asking for another gigabyte of space.  Why does it need this when it has already downloaded all the packages and has over 500mb of workspace to unpack them???
Comment 5 Bug Zapper 2009-07-14 12:29:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.